=== debian/changelog ===
bcalm (2.2.1-2build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:10:37 +0100

bcalm (2.2.1-2) unstable; urgency=medium

  * Team upload.
  * Standards-Version: 4.4.1
  * debian/copyright: use spaces rather than tabs to start continuation
    lines.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Mon, 20 Jan 2020 11:28:52 +0100

bcalm (2.2.1-1) unstable; urgency=medium

  * Initial release (Closes: #941280)

 -- Shayan Doust <hello@shayandoust.me>  Fri, 27 Sep 2019 08:49:22 +0200
