=== debian/control ===
Source: bcalm
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Shayan Doust <hello@shayandoust.me>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 12),
               libgatbcore-dev,
               libboost-dev,
               libhdf5-dev,
               zlib1g-dev,
               cmake
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/med-team/bcalm
Vcs-Git: https://salsa.debian.org/med-team/bcalm.git
Homepage: https://github.com/GATB/bcalm

Package: bcalm
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: de Bruijn compaction in low memory
 A bioinformatics tool for constructing the compacted de Bruijn graph
 from sequencing data.
 .
 This is the parallel version of the BCALM software using gatb-core
 library.
