## bcalm 2.2.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -17,16 +17,26 @@
 ENDFOREACH(path)
 
 #############################
-# getting git version
+#getting git version
 #from http://stackoverflow.com/questions/1435953/how-can-i-pass-git-sha1-to-compiler-as-definition-using-cmake
 exec_program(
     "git"
     ${CMAKE_CURRENT_SOURCE_DIR}
     ARGS "rev-parse --short HEAD"
-    OUTPUT_VARIABLE VERSION_SHA1 )
+    OUTPUT_VARIABLE VERSION_SHA1
+    RETURN_VALUE ERROR_GIT)
 
-add_definitions( -DGIT_SHA1="${VERSION_SHA1}" )
+if(NOT ${ERROR_GIT})
+    add_definitions( -DGIT_SHA1="${VERSION_SHA1}" )
+else()
+    message("Warning: cannot retrieve git version. Bcalm won't display its version. Error value: ${ERROR_GIT})")
+endif(NOT ${ERROR_GIT})
 
+################################
+#add version nifo
+
+file (STRINGS "VERSION" VERSION)
+add_definitions( -DVERSION="${VERSION}" )
 
 ################################################################################
 # THIRD PARTIES
@@ -105,7 +115,7 @@
 # We copy the project binary to the 'bin' directory
 INSTALL (TARGETS ${PROJECT_NAME} DESTINATION bin)
 INSTALL (DIRECTORY "${PROJECT_SOURCE_DIR}/example/" DESTINATION example)
-INSTALL (FILES LICENSE README.md DESTINATION bin/..)
+INSTALL (FILES VERSION LICENSE README.md DESTINATION bin/..)
 
 # cmake_system_name for mac is Darwin, i want to change that
 if (${CMAKE_SYSTEM_NAME} MATCHES "Linux")
@@ -114,9 +124,6 @@
     set(PRETTY_SYSTEM_NAME "Mac")
 endif()
 
-
-
-file (STRINGS "VERSION" VERSION)
 set (CPACK_PACKAGE_FILE_NAME  ${PROJECT_NAME}-binaries-${VERSION}-${PRETTY_SYSTEM_NAME})
 
 include (CPack)
