=== example/uf/Makefile ===
testUF: testUF.cpp ../../bglue/unionFind.hpp
	g++ -std=c++11 -o testUF testUF.cpp -fopenmp
