=== debian/changelog ===
bcalm (2.2.3-6) unstable; urgency=medium

  * Team upload.
  * cmake-4.patch: new: bump cmake requirement to 3.10. (Closes: #1112722)
  * d/control: drop redundant Rules-Requires-Root: no.
  * d/control: declare compliance to standards version 4.7.2.
  * d/watch: convert to v5 Github template.

 -- Étienne Mollier <emollier@debian.org>  Wed, 15 Oct 2025 21:52:41 +0200

bcalm (2.2.3-5) unstable; urgency=medium

  * Team upload.
  * Add build support for loongarch64
    Closes: #1058715

 -- Andreas Tille <tille@debian.org>  Tue, 09 Jan 2024 20:29:08 +0100

bcalm (2.2.3-4) unstable; urgency=medium

  * Team upload.
  * d/control: Only build on architectures supported by gatb-core.
    (Closes: #1031529)
  * d/control: Bump Standards-Version to 4.6.2; no changes needed.

 -- Sergio Durigan Junior <sergiodj@debian.org>  Fri, 17 Feb 2023 17:01:39 -0500

bcalm (2.2.3-3) unstable; urgency=medium

  * Team upload.
  * Really fix watch file
  * Standards-Version: 4.6.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 01 Nov 2022 19:45:44 +0100

bcalm (2.2.3-2) unstable; urgency=medium

  * Team upload.
  * Fix watchfile to detect new versions on github
  * Standards-Version: 4.6.0 (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 14 Oct 2021 16:41:28 +0200

bcalm (2.2.3-1) unstable; urgency=medium

  [ David Parsons ]
  * Team upload.
  * New upstream version

  [ Andreas Tille ]
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Andreas Tille <tille@debian.org>  Sat, 22 Aug 2020 13:55:36 +0200

bcalm (2.2.2-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Overwrite upstream's simple_test with our fixed version, so we test with
    Python 3, again. And depend on it for the test. (Closes: #960876)

 -- Stefano Rivera <stefanor@debian.org>  Wed, 20 May 2020 08:51:35 -0700

bcalm (2.2.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.5.0 (routine-update)
  * Don't install VERSION file to /usr

 -- Steffen Moeller <moeller@debian.org>  Tue, 05 May 2020 21:21:17 +0200
