=== debian/control ===
--- 
+++ 
@@ -3,19 +3,19 @@
 Uploaders: Shayan Doust <hello@shayandoust.me>
 Section: science
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                libgatbcore-dev,
                libboost-dev,
                libhdf5-dev,
                zlib1g-dev,
                cmake
-Standards-Version: 4.4.1
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/med-team/bcalm
 Vcs-Git: https://salsa.debian.org/med-team/bcalm.git
 Homepage: https://github.com/GATB/bcalm
 
 Package: bcalm
-Architecture: any
+Architecture: any-amd64 arm64 loong64 mips64el ppc64el ia64 ppc64 riscv64 sparc64 alpha
 Depends: ${shlibs:Depends},
          ${misc:Depends}
 Description: de Bruijn compaction in low memory
