=== debian/rules ===
--- 
+++ 
@@ -14,4 +14,5 @@
 	dh_install
 	rm -r debian/bcalm/usr/example \
 		debian/bcalm/usr/README.md \
-		debian/bcalm/usr/LICENSE
+		debian/bcalm/usr/LICENSE \
+		debian/bcalm/usr/VERSION
